# deb-get issue template

Thank you for taking the time to report an issue to the `deb-get` project 🙂

 - Please complete one the appropriate sections below.
 - Delete all the sections that do not apply, including this one.
 - Any issues that do not use this template will be closed.
 - If you're not sure what to do, or have a general question about `deb-get`, then ask in [Wimpy's World Discord](https://wimpysworld.io/discord).


## Requesting a new app ✨

If you are requesting a new app to be added to `deb-get` please complete the
following section, only one app per issue please.

 - [ ] I have checked that this app does not already have a pending request and has not previously been declined.
 - App Name:
 - Download URL:
 - Website URL:
 - App Summary:


## Requesting a new feature 🧑‍💻

If you are proposing a new feature for `deb-get` please describe the proposed
feature with as much detail as possible here:


## Reporting a bug 🐛

Please make sure the version of `deb-get` you are using is up to date:

```bash
deb-get update
deb-get reinstall deb-get
```

### Expected behavior

Describe the expected behavior here.

### Actual behavior

Describe the actual behavior here.

### Steps to reproduce

Describe the exact steps required to reproduce the issue.

### System information

Run the following a paste the output below:

#### /etc/os-release

```bash
cat /etc/os-release
```

#### /etc/lsb-release

```bash
cat /etc/lsb-release
```

#### deb-get version

```bash
deb-get version
```

### deb-get update

```bash
deb-get update
```
